Bug 1460815 - Formatting of Provider summary PDF file generated from provider summary page is very broken
Formatting of Provider summary PDF file generated from provider summary page ...
Status: ON_DEV
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.7.0
Unspecified Unspecified
high Severity medium
: GA
: 5.8.2
Assigned To: Eric Hayes
Jan Krocil
: Regression, ZStream
Depends On: 1447940
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-12 16:40 EDT by Satoe Imaishi
Modified: 2017-08-04 14:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1447940
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-16 09:03:51 EDT
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/05b8cd191aaceb294a808d908f10c2bc62d153fd

commit 05b8cd191aaceb294a808d908f10c2bc62d153fd
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu May 11 15:59:39 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jun 16 09:01:25 2017 -0400

    Merge pull request #1332 from hayesr/fix_pdf_stylesheet_ext
    
    Fix missing stylesheet extension
    (cherry picked from commit 6d21b2eca5efd704e0da9ede5455eb2779972ecc)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1460815

 app/controllers/application_controller/report_downloads.rb | 2 +-
 spec/controllers/ems_common_controller_spec.rb             | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)
Comment 3 CFME Bot 2017-06-16 09:06:07 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/de2aeb5d0338a866e6ad3a41ee2ba2e3b5df2d32

commit de2aeb5d0338a866e6ad3a41ee2ba2e3b5df2d32
Author:     Oleg Barenboim <chessbyte@gmail.com>
AuthorDate: Thu Jun 1 22:59:31 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jun 16 08:59:34 2017 -0400

    Merge pull request #15131 from hayesr/compiled_pdf_css
    
    Compile and write stylesheets for PDF rendering
    (cherry picked from commit cdbd852ffea53cd46bc3f26f0b0c853d403273da)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1460815

 lib/asset_writer.rb                       | 33 +++++++++++++++++++++++++
 lib/pdf_generator.rb                      |  4 ++-
 lib/pdf_generator/prince_pdf_generator.rb | 11 ++++++++-
 spec/lib/pdf_generator_spec.rb            | 41 +++++++++++++++++++++++++++++++
 4 files changed, 87 insertions(+), 2 deletions(-)
 create mode 100644 lib/asset_writer.rb
 create mode 100644 spec/lib/pdf_generator_spec.rb
Comment 4 CFME Bot 2017-06-16 09:08:38 EDT
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/0b19b05bf4aee4f132aeed2b6b355f372dfd80aa

commit 0b19b05bf4aee4f132aeed2b6b355f372dfd80aa
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Fri Jun 9 12:43:47 2017 -0700
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jun 16 09:02:50 2017 -0400

    Merge pull request #1363 from hayesr/compiled_pdf_css
    
    Base64 encode fonts and images for PDF rendering
    (cherry picked from commit 87ddd8fe860bcafac4aac6f638754636ecc88db1)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1460815

 app/assets/stylesheets/pdf/_fontawesome.scss.erb   | 10 +++++
 app/assets/stylesheets/pdf/_patternfly.scss.erb    | 10 +++++
 app/assets/stylesheets/pdf/_report.scss            | 25 +++++++++++
 app/assets/stylesheets/pdf/_summary.scss           | 48 ++++++++++++++++++++++
 app/assets/stylesheets/pdf_report.css              | 31 +++-----------
 app/assets/stylesheets/pdf_summary.css             | 46 +++------------------
 app/controllers/application_controller.rb          |  4 ++
 app/helpers/image_encode_helper.rb                 | 31 ++++++++++++++
 app/helpers/quadicon_helper.rb                     | 16 +++-----
 app/views/layouts/show_pdf.html.haml               |  2 +-
 app/views/shared/summary/_icon_or_image.html.haml  |  2 +-
 spec/helpers/quadicon_helper_spec.rb               |  2 +
 spec/lib/pdf_generator_spec.rb                     | 35 ----------------
 .../listnav/_availability_zone.html.haml_spec.rb   |  3 +-
 .../listnav/_cloud_network.html.haml_spec.rb       |  3 +-
 .../listnav/_cloud_subnet.html.haml_spec.rb        |  3 +-
 .../listnav/_cloud_tenant.html.haml_spec.rb        |  3 +-
 .../layouts/listnav/_ems_cloud.html.haml_spec.rb   |  3 +-
 .../layouts/listnav/_ems_cluster.html.haml_spec.rb |  3 +-
 .../listnav/_ems_container.html.haml_spec.rb       |  3 +-
 .../layouts/listnav/_ems_network.html.haml_spec.rb |  3 +-
 .../layouts/listnav/_flavor.html.haml_spec.rb      |  3 +-
 .../layouts/listnav/_floating_ip.html.haml_spec.rb |  3 +-
 .../listnav/_host_aggregate.html.haml_spec.rb      |  3 +-
 .../listnav/_load_balancer.html.haml_spec.rb       |  3 +-
 .../listnav/_network_port.html.haml_spec.rb        |  3 +-
 .../listnav/_network_router.html.haml_spec.rb      |  3 +-
 .../listnav/_orchestration_stack.html.haml_spec.rb |  3 +-
 .../listnav/_persistent_volume.html.haml_spec.rb   |  3 +-
 .../listnav/_security_group.html.haml_spec.rb      |  3 +-
 30 files changed, 183 insertions(+), 130 deletions(-)
 create mode 100644 app/assets/stylesheets/pdf/_fontawesome.scss.erb
 create mode 100644 app/assets/stylesheets/pdf/_patternfly.scss.erb
 create mode 100644 app/assets/stylesheets/pdf/_report.scss
 create mode 100644 app/assets/stylesheets/pdf/_summary.scss
 create mode 100644 app/helpers/image_encode_helper.rb
 delete mode 100644 spec/lib/pdf_generator_spec.rb

Note You need to log in before you can comment on or make changes to this bug.